Skip to main content
POST
/
history
/
replay
/
{streamId}
/
{id}
Replay history
curl --request POST \
  --url https://api.moralis-streams.com/history/replay/{streamId}/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2023-11-07T05:31:56Z",
  "tinyPayload": {
    "chainId": "<string>",
    "confirmed": true,
    "block": "<string>",
    "records": 123,
    "retries": 123
  },
  "errorMessage": "<string>",
  "webhookUrl": "<string>",
  "streamId": "<string>",
  "payload": {
    "block": {
      "number": "<string>",
      "hash": "<string>",
      "timestamp": "<string>"
    },
    "chainId": "<string>",
    "logs": [
      {
        "logIndex": "<string>",
        "transactionHash": "<string>",
        "address": "<string>",
        "data": "<string>",
        "topic0": "<string>",
        "topic1": "<string>",
        "topic2": "<string>",
        "topic3": "<string>",
        "triggers": [
          {
            "value": "<unknown>",
            "name": "<string>"
          }
        ],
        "triggered_by": [
          "<string>"
        ]
      }
    ],
    "txs": [
      {
        "hash": "<string>",
        "gas": "<string>",
        "gasPrice": "<string>",
        "nonce": "<string>",
        "input": "<string>",
        "transactionIndex": "<string>",
        "fromAddress": "<string>",
        "toAddress": "<string>",
        "value": "<string>",
        "type": "<string>",
        "v": "<string>",
        "r": "<string>",
        "s": "<string>",
        "receiptCumulativeGasUsed": "<string>",
        "receiptGasUsed": "<string>",
        "receiptContractAddress": "<string>",
        "receiptRoot": "<string>",
        "receiptStatus": "<string>",
        "triggers": [
          {
            "value": "<unknown>",
            "name": "<string>"
          }
        ],
        "triggered_by": [
          "<string>"
        ]
      }
    ],
    "txsInternal": [
      {
        "from": "<string>",
        "to": "<string>",
        "value": "<string>",
        "transactionHash": "<string>",
        "gas": "<string>",
        "triggered_by": [
          "<string>"
        ]
      }
    ],
    "abi": [
      {}
    ],
    "retries": 123,
    "confirmed": true,
    "tag": "<string>",
    "streamId": "<string>"
  },
  "tag": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

streamId
string<uuid>
required

The id of the stream the history will be replayed Stringified UUIDv4. See RFC 4112

id
string<uuid>
required

The id of the history to replay Stringified UUIDv4. See RFC 4112

Response

200 - application/json

Ok

id
string<uuid>
required

Stringified UUIDv4. See RFC 4112

date
string<date-time>
required
tinyPayload
object
required
errorMessage
string
required
webhookUrl
string
required
streamId
string
required
payload
object
tag
string